# Makefile
#
# cdev library directory Makefile
# cdev version 1.1.0
#
# Makefile,v
# Revision 1.29  1998/02/13  14:03:56  chen
# add cdevDirRequestObj
#
# Revision 1.28  1998/02/10  18:06:04  chen
# add system timer handler
#
# Revision 1.27  1998/01/30  13:50:04  akers
# Ongoing development
#
# Revision 1.26  1998/01/14  14:27:35  chen
# add cdevMonitorObj
#
# Revision 1.25  1997/12/17  15:08:31  akers
# Added mkdir for CDEVLIB
#
# Revision 1.24  1997/08/27  18:24:52  chen
# add cdevConfigFinder
#
# Revision 1.23  1997/04/02  17:54:08  akers
# Ongoing Development of CDEV 1.6
#
# Revision 1.22  1997/03/25  22:24:42  akers
# Development in support of a new cdevDirectory
#
# Revision 1.21  1997/03/03  17:36:13  chen
# add buffering to channel access connection
#
# Revision 1.19  1996/11/21  17:03:25  akers
# Ongoing Developement of CDEV 1.5
#
# Revision 1.18  1996/09/20  12:24:54  akers
# Changes added for Release 1.4
#
# Revision 1.16  1996/06/26  15:54:17  akers
# Modifications to support multiple OS Versions
#
# Revision 1.15  1996/05/14  20:38:13  akers
# Makefile modifications
#
# Revision 1.14  1996/03/22  16:34:04  chen
# support solaris
#
# Revision 1.13  1996/02/23  16:55:34  danjin
# add cls.o
#
# Revision 1.12  1995/12/14  19:10:51  chen
# add support for C interface
#
# Revision 1.11  1995/12/08  15:27:55  chen
# change to add more files
#
# Revision 1.10  1995/11/14  17:42:37  chen
# new makefile
#
#
include ../Makefile.config

ifeq ($(INCDIR), )
	INCDIR = ../..
endif

ifeq ($(SHOBJ),YES)
	OBJTYPE=.shobj/$(TARGETDIR)
else
	OBJTYPE=.obj/$(TARGETDIR)
endif

OBJS =	$(OBJTYPE)/cdevFdSet.o \
	$(OBJTYPE)/cdevTimeValue.o \
	$(OBJTYPE)/cdevCallback.o \
	$(OBJTYPE)/cdevClock.o \
	$(OBJTYPE)/cdevTimerQueue.o \
	$(OBJTYPE)/cdevSlist.o \
	$(OBJTYPE)/cdevStrHash.o \
	$(OBJTYPE)/cdevIntHash.o \
	$(OBJTYPE)/cdevData.o \
	$(OBJTYPE)/cdevDataEntry.o \
	$(OBJTYPE)/cdevTagTable.o \
	$(OBJTYPE)/cdevGlobalTagTable.o \
	$(OBJTYPE)/cdevDevice.o \
	$(OBJTYPE)/cdevDirectory.o \
	$(OBJTYPE)/cdevDirRequestObj.o \
	$(OBJTYPE)/cdevDirectoryTable.o \
	$(OBJTYPE)/cdevDirectoryTool.o \
	$(OBJTYPE)/cdevErrReqObject.o \
	$(OBJTYPE)/cdevErrSvc.o \
	$(OBJTYPE)/cdevError.o \
	$(OBJTYPE)/cdevGroup.o \
	$(OBJTYPE)/cdevExecGroup.o \
	$(OBJTYPE)/cdevIOcontext.o \
	$(OBJTYPE)/cdevRequestObject.o \
	$(OBJTYPE)/cdevCollection.o \
	$(OBJTYPE)/cdevGrpCollectionRequest.o \
	$(OBJTYPE)/cdevCollectionRequest.o \
	$(OBJTYPE)/defCallbackCollector.o \
	$(OBJTYPE)/cdevDefCollectionRequest.o \
	$(OBJTYPE)/grpCallbackCollector.o \
	$(OBJTYPE)/cdevErrorCollection.o \
	$(OBJTYPE)/cdevService.o \
	$(OBJTYPE)/cdevSvcFinder.o \
	$(OBJTYPE)/cdevSvcConfig.o \
	$(OBJTYPE)/cdevSync.o \
	$(OBJTYPE)/cdevSystem.o \
	$(OBJTYPE)/cdevSystemBase.o \
	$(OBJTYPE)/cdevUserFdService.o \
	$(OBJTYPE)/cdevConfigFinder.o \
	$(OBJTYPE)/cdevTranObj.o \
	$(OBJTYPE)/cdevExecObj.o \
	$(OBJTYPE)/shObjLoader.o \
	$(OBJTYPE)/cdevBlockList.o \
	$(OBJTYPE)/cdev.o

ifeq ($(OS_TYPE), BSD)
OBJS := $(OBJS) $(OBJTYPE)/regexp.o $(OBJTYPE)/regsub.o $(OBJTYPE)/regerror.o
endif

targets: $(OBJTYPE) $(LIBDIR)/$(CDEV_LIB)
	
$(OBJTYPE) :
	@mkdir -p $(OBJTYPE)
	
$(LIBDIR)/$(CDEV_LIB): $(OBJS)
	@rm -f $@
	@mkdir -p $(LIBDIR)
	$(MAKELIB) $@ $(OBJS)
	$(RANLIB) $@

clean: clean_hail
	rm -rf *.o .obj .shobj
